Name:           unar
Version:        1.10.1
Release:        %mkrel 2
Summary:      Multi format application for uncompressing archive files
License:         LGPLv2+
Group:          Archiving/Compression
URL:              http://unarchiver.c3.cx/unarchiver
Source0:        http://unarchiver.c3.cx/downloads/unar%{version}_src.zip
BuildRequires:  bzip2-devel
BuildRequires:  gcc-objc
BuildRequires:  gnustep-base-devel
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(zlib)

%description
The command-line utilities lsar and unar are capable of listing and extracting
files respectively in several formats including RARv3. unar can serve as a free
and open source replacement of unrar.

%prep
%autosetup -c
mv The\ Unarchiver/* .
rm -fr __MACOSX The\ Unarchiver
# recursively remove executable bit from every file, skipping directories
find . -type f -print0 | xargs -0 chmod -x

%build
export OBJCFLAGS=`gnustep-config --objc-flags`
make -C XADMaster -f Makefile.linux

%install
install -d %{buildroot}%{_bindir}
install -pm755 XADMaster/unar XADMaster/lsar %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -pm644 Extra/*.1 %{buildroot}%{_mandir}/man1

install -d %{buildroot}%{_datadir}/bash-completion/completions
install -pm644 Extra/lsar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/lsar
install -pm644 Extra/unar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/unar

%files
%doc License.txt
%{_bindir}/lsar
%{_bindir}/unar
%{_mandir}/man1/*.1*
%{_datadir}/bash-completion/completions/lsar
%{_datadir}/bash-completion/completions/unar



%changelog
* Thu Mar 16 2017 mrambo3501 <mrambo3501> 1.10.1-2.mga6
+ Revision: 1093113
- Rebuild for icu-58.2

* Sat Jun 04 2016 tarakbumba <tarakbumba> 1.10.1-1.mga6
+ Revision: 1020217
- Update to 1.10.1 version

* Sat May 14 2016 shlomif <shlomif> 1.9.1-2.mga6
+ Revision: 1015270
- Rebuild for the new UCI (new major)

* Sat Jan 02 2016 tarakbumba <tarakbumba> 1.9.1-1.mga6
+ Revision: 918145
- Update to 1.9.1 version

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.8.1-6.mga6
+ Revision: 917928
- rebuild for icu

* Sat Jul 25 2015 cjw <cjw> 1.8.1-5.mga6
+ Revision: 857386
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 748741
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 690039
- Mageia 5 Mass Rebuild

  + wally <wally>
    - fix URL

* Sat Apr 05 2014 wally <wally> 1.8.1-2.mga5
+ Revision: 611968
- don't own bash-completion dirs
- rebuild for new icu

* Wed Mar 26 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 608785
- imported package unar

